<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: DualShock3 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_dual_shock3.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_dual_shock3-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DualShock3 Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe intégrant la manette <a class="el" href="class_dual_shock3.html" title="Classe intégrant la manette DualShock3. ">DualShock3</a>.  
 <a href="class_dual_shock3.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_dual_shock3_8h_source.html">DualShock3.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for DualShock3:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_dual_shock3.png" usemap="#DualShock3_map" alt=""/>
  <map id="DualShock3_map" name="DualShock3_map">
<area href="class_thread.html" title="Abstract class for a thread. " alt="Thread" shape="rect" coords="0,56,108,80"/>
<area href="class_i_o_device.html" title="Abstract class for input/ouput system. " alt="IODevice" shape="rect" coords="118,56,226,80"/>
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="0,0,108,24"/>
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="118,0,226,24"/>
<area href="class_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. " alt="MetaDualShock3" shape="rect" coords="59,168,167,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a39f3460b4bc201d00f55fefd983a1fc4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>Led</b> { <b>led1</b> =1, 
<b>led2</b> =2, 
<b>led3</b> =3, 
<b>led4</b> =4
 }</td></tr>
<tr class="separator:a39f3460b4bc201d00f55fefd983a1fc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa74b6390ee7c80ae4fedfe37780432f4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsMask</b> { <br/>
&#160;&#160;<b>start</b> =0x08, 
<b>select</b> =0x01, 
<b>square</b> =0x8000, 
<b>triangle</b> =0x1000, 
<br/>
&#160;&#160;<b>circle</b> =0x2000, 
<b>cross</b> =0x4000, 
<b>L1</b> =0x400, 
<b>L2</b> =0x100, 
<br/>
&#160;&#160;<b>L3</b> =0x02, 
<b>R1</b> =0x800, 
<b>R2</b> =0x200, 
<b>R3</b> =0x04, 
<br/>
&#160;&#160;<b>up</b> =0x10, 
<b>down</b> =0x40, 
<b>left</b> =0x80, 
<b>right</b> =0x20
<br/>
 }</td></tr>
<tr class="separator:aa74b6390ee7c80ae4fedfe37780432f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a86351b3d9b6255c458de2a09fe036c40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86351b3d9b6255c458de2a09fe036c40"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DualShock3</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name, int port, int priority)</td></tr>
<tr class="separator:a86351b3d9b6255c458de2a09fe036c40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b480c1d6c0e3ea28907ce44c491c2d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b480c1d6c0e3ea28907ce44c491c2d7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Roll</b> (void)</td></tr>
<tr class="separator:a5b480c1d6c0e3ea28907ce44c491c2d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd1705642a19b28b8ec0e5cfc207c1e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd1705642a19b28b8ec0e5cfc207c1e2"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Pitch</b> (void)</td></tr>
<tr class="separator:afd1705642a19b28b8ec0e5cfc207c1e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e2e28d386a758fb0cb6698430f779a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e2e28d386a758fb0cb6698430f779a9"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Yaw</b> (void)</td></tr>
<tr class="separator:a7e2e28d386a758fb0cb6698430f779a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2fc29b94770456fbca7486e1ff95fa7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2fc29b94770456fbca7486e1ff95fa7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Thrust</b> (void)</td></tr>
<tr class="separator:ae2fc29b94770456fbca7486e1ff95fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad41a78d0ab0ccb6d9c665de59ee006ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad41a78d0ab0ccb6d9c665de59ee006ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (uint8_t left_force, uint8_t left_timeout=20, uint8_t right_force=0, uint8_t right_timeout=0)</td></tr>
<tr class="separator:ad41a78d0ab0ccb6d9c665de59ee006ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad43434cf76dd455d55dbe18e0c50d3c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad43434cf76dd455d55dbe18e0c50d3c3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedON</b> (Led led)</td></tr>
<tr class="separator:ad43434cf76dd455d55dbe18e0c50d3c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f62985e0e908a30f76378fd8f5e5ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55f62985e0e908a30f76378fd8f5e5ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOFF</b> (Led led)</td></tr>
<tr class="separator:a55f62985e0e908a30f76378fd8f5e5ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980618b26a1979c637118b8ce016c0ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a980618b26a1979c637118b8ce016c0ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLed</b> (Led led, uint8_t on_timeout, uint8_t off_timeout)</td></tr>
<tr class="separator:a980618b26a1979c637118b8ce016c0ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0539815039d864579ea05741f64fe93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0539815039d864579ea05741f64fe93"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsConnected</b> (void)</td></tr>
<tr class="separator:ac0539815039d864579ea05741f64fe93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d9671c7736fa5690bbd4d37032510d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d9671c7736fa5690bbd4d37032510d2"></a>
<a class="el" href="class_tab.html">Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupTab</b> (void)</td></tr>
<tr class="separator:a4d9671c7736fa5690bbd4d37032510d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bdcbcceba0bb3509b08f828faa771b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5bdcbcceba0bb3509b08f828faa771b4"></a>
ButtonsMask&#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsPressed</b> (void)</td></tr>
<tr class="separator:a5bdcbcceba0bb3509b08f828faa771b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_thread.html">Thread</a></td></tr>
<tr class="memitem:a5ecb5dd244bd920cf0f6d933174c96d5 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a5ecb5dd244bd920cf0f6d933174c96d5">Thread</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name, int priority)</td></tr>
<tr class="memdesc:a5ecb5dd244bd920cf0f6d933174c96d5 inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a5ecb5dd244bd920cf0f6d933174c96d5">More...</a><br/></td></tr>
<tr class="separator:a5ecb5dd244bd920cf0f6d933174c96d5 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a026b23628e1727050e864e00489c0baf inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a026b23628e1727050e864e00489c0baf">~Thread</a> ()</td></tr>
<tr class="memdesc:a026b23628e1727050e864e00489c0baf inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a026b23628e1727050e864e00489c0baf">More...</a><br/></td></tr>
<tr class="separator:a026b23628e1727050e864e00489c0baf inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b42f82341afd2747ea093b6ac8b91cb inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a2b42f82341afd2747ea093b6ac8b91cb">Start</a> (void)</td></tr>
<tr class="memdesc:a2b42f82341afd2747ea093b6ac8b91cb inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#a2b42f82341afd2747ea093b6ac8b91cb">More...</a><br/></td></tr>
<tr class="separator:a2b42f82341afd2747ea093b6ac8b91cb inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ebc773c82d21d4a760a2e3fc9b09fd inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a17ebc773c82d21d4a760a2e3fc9b09fd">SafeStop</a> (void)</td></tr>
<tr class="memdesc:a17ebc773c82d21d4a760a2e3fc9b09fd inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#a17ebc773c82d21d4a760a2e3fc9b09fd">More...</a><br/></td></tr>
<tr class="separator:a17ebc773c82d21d4a760a2e3fc9b09fd inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cf4f8fda654e818209c65718dd81b9d inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a6cf4f8fda654e818209c65718dd81b9d">ToBeStopped</a> (void)</td></tr>
<tr class="memdesc:a6cf4f8fda654e818209c65718dd81b9d inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#a6cf4f8fda654e818209c65718dd81b9d">More...</a><br/></td></tr>
<tr class="separator:a6cf4f8fda654e818209c65718dd81b9d inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada851bbf54cd72be34cb30eb24dc085 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#aada851bbf54cd72be34cb30eb24dc085">Join</a> (void)</td></tr>
<tr class="memdesc:aada851bbf54cd72be34cb30eb24dc085 inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#aada851bbf54cd72be34cb30eb24dc085">More...</a><br/></td></tr>
<tr class="separator:aada851bbf54cd72be34cb30eb24dc085 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6ee2a2510c733f93844950aaf86d72f inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#af6ee2a2510c733f93844950aaf86d72f">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:af6ee2a2510c733f93844950aaf86d72f inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#af6ee2a2510c733f93844950aaf86d72f">More...</a><br/></td></tr>
<tr class="separator:af6ee2a2510c733f93844950aaf86d72f inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6acc3822242f391d48df1fe31949ad9 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#af6acc3822242f391d48df1fe31949ad9">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:af6acc3822242f391d48df1fe31949ad9 inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#af6acc3822242f391d48df1fe31949ad9">More...</a><br/></td></tr>
<tr class="separator:af6acc3822242f391d48df1fe31949ad9 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3d8a17e71cb60b4ab8071d1e43e0e9f inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#af3d8a17e71cb60b4ab8071d1e43e0e9f">WaitPeriod</a> (void)</td></tr>
<tr class="memdesc:af3d8a17e71cb60b4ab8071d1e43e0e9f inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#af3d8a17e71cb60b4ab8071d1e43e0e9f">More...</a><br/></td></tr>
<tr class="separator:af3d8a17e71cb60b4ab8071d1e43e0e9f inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad4c331a6571f2a0b6c7005292fb3d7 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#adad4c331a6571f2a0b6c7005292fb3d7">WaitUpdate</a> (<a class="el" href="class_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:adad4c331a6571f2a0b6c7005292fb3d7 inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="class_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#adad4c331a6571f2a0b6c7005292fb3d7">More...</a><br/></td></tr>
<tr class="separator:adad4c331a6571f2a0b6c7005292fb3d7 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a107c735b49292fa76e2ae2225eee133e inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a107c735b49292fa76e2ae2225eee133e">Suspend</a> (void)</td></tr>
<tr class="memdesc:a107c735b49292fa76e2ae2225eee133e inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Susepnd the thread.  <a href="#a107c735b49292fa76e2ae2225eee133e">More...</a><br/></td></tr>
<tr class="separator:a107c735b49292fa76e2ae2225eee133e inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8175399e8cca4cbb8bde04ac4584dc7f inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a8175399e8cca4cbb8bde04ac4584dc7f">Resume</a> (void)</td></tr>
<tr class="memdesc:a8175399e8cca4cbb8bde04ac4584dc7f inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#a8175399e8cca4cbb8bde04ac4584dc7f">More...</a><br/></td></tr>
<tr class="separator:a8175399e8cca4cbb8bde04ac4584dc7f inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8e0c6ef3c96e0105d86fd08405a277c inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#ad8e0c6ef3c96e0105d86fd08405a277c">IsSuspended</a> (void)</td></tr>
<tr class="memdesc:ad8e0c6ef3c96e0105d86fd08405a277c inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#ad8e0c6ef3c96e0105d86fd08405a277c">More...</a><br/></td></tr>
<tr class="separator:ad8e0c6ef3c96e0105d86fd08405a277c inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88b23e48d0c29e1baef79e3b1942b0e4 inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a88b23e48d0c29e1baef79e3b1942b0e4">SleepUntil</a> (Time time)</td></tr>
<tr class="memdesc:a88b23e48d0c29e1baef79e3b1942b0e4 inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#a88b23e48d0c29e1baef79e3b1942b0e4">More...</a><br/></td></tr>
<tr class="separator:a88b23e48d0c29e1baef79e3b1942b0e4 inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52b91a889bcb96a722ed677b6c1622aa inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a52b91a889bcb96a722ed677b6c1622aa">SleepUS</a> (uint32_t time_us)</td></tr>
<tr class="memdesc:a52b91a889bcb96a722ed677b6c1622aa inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in micro second.  <a href="#a52b91a889bcb96a722ed677b6c1622aa">More...</a><br/></td></tr>
<tr class="separator:a52b91a889bcb96a722ed677b6c1622aa inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a957c13adafb97c1b25c2b4429f7eb10f inherit pub_methods_class_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a957c13adafb97c1b25c2b4429f7eb10f">SleepMS</a> (uint32_t time_ms)</td></tr>
<tr class="memdesc:a957c13adafb97c1b25c2b4429f7eb10f inherit pub_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a957c13adafb97c1b25c2b4429f7eb10f">More...</a><br/></td></tr>
<tr class="separator:a957c13adafb97c1b25c2b4429f7eb10f inherit pub_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a> ()</td></tr>
<tr class="memdesc:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3e791419d84c4c346ef9499513b8e00">More...</a><br/></td></tr>
<tr class="separator:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a> (void)</td></tr>
<tr class="memdesc:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#afaa39b1021f3a731cda644164b2be3ba">More...</a><br/></td></tr>
<tr class="separator:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a3e34b6351fad490250b5c0619ea22e17">More...</a><br/></td></tr>
<tr class="separator:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a> (void)</td></tr>
<tr class="memdesc:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">More...</a><br/></td></tr>
<tr class="separator:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a> (void)</td></tr>
<tr class="memdesc:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root parent.  <a href="#aceddcf29a2c656eaaa77fbb99f344425">More...</a><br/></td></tr>
<tr class="separator:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root <a class="el" href="class_framework_manager.html" title="Main class of the Framework library. ">FrameworkManager</a>.  <a href="#a4d3f28e95db7f6d7d9818ba1316024c9">More...</a><br/></td></tr>
<tr class="separator:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a0784589b4cd7109d5a6ab88bbc9fdd20">More...</a><br/></td></tr>
<tr class="separator:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a> (void)</td></tr>
<tr class="memdesc:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a47326acf6f5b86e667e90f7c36b5222d">More...</a><br/></td></tr>
<tr class="separator:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#af654a28da90b978a4c7ab8b5c88dac3d">IODevice</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af654a28da90b978a4c7ab8b5c88dac3d">More...</a><br/></td></tr>
<tr class="separator:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3615f78e1b4ae46ba84ce46c048a0dfb inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#a3615f78e1b4ae46ba84ce46c048a0dfb">~IODevice</a> ()</td></tr>
<tr class="memdesc:a3615f78e1b4ae46ba84ce46c048a0dfb inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3615f78e1b4ae46ba84ce46c048a0dfb">More...</a><br/></td></tr>
<tr class="separator:a3615f78e1b4ae46ba84ce46c048a0dfb inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7accfa0828e7d43c05b06a7d59829a5 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#aa7accfa0828e7d43c05b06a7d59829a5">AddDeviceToLog</a> (<a class="el" href="class_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:aa7accfa0828e7d43c05b06a7d59829a5 inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="class_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#aa7accfa0828e7d43c05b06a7d59829a5">More...</a><br/></td></tr>
<tr class="separator:aa7accfa0828e7d43c05b06a7d59829a5 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_class_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_thread.html">Thread</a></td></tr>
<tr class="memitem:a9d18c7935d0a8b3f98ebd19cee65b731 inherit pub_static_methods_class_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a9d18c7935d0a8b3f98ebd19cee65b731">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a9d18c7935d0a8b3f98ebd19cee65b731 inherit pub_static_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a9d18c7935d0a8b3f98ebd19cee65b731">More...</a><br/></td></tr>
<tr class="separator:a9d18c7935d0a8b3f98ebd19cee65b731 inherit pub_static_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:ac81c7aa95caa0bf9266428783f143000 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#ac81c7aa95caa0bf9266428783f143000">ProcessUpdate</a> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:ac81c7aa95caa0bf9266428783f143000 inherit pro_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="class_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#ac81c7aa95caa0bf9266428783f143000">More...</a><br/></td></tr>
<tr class="separator:ac81c7aa95caa0bf9266428783f143000 inherit pro_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#a4c9df5ddb30faf34676efbdbd9fe5473">SetDataToLog</a> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classio__data.html" title="Abstract class for data types. ">io_data</a> to be logged.  <a href="#a4c9df5ddb30faf34676efbdbd9fe5473">More...</a><br/></td></tr>
<tr class="separator:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe intégrant la manette <a class="el" href="class_dual_shock3.html" title="Classe intégrant la manette DualShock3. ">DualShock3</a>. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_dual_shock3.html">DualShock3</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
